//
//  PushNotificationTypes.swift
//  Sailassist
//
//  Created by 三浦薫巳 on 2023/11/19.
//

import Foundation

struct PushNotificationTypes {
    //リモートPush用sendType
    enum SendType: Int32{
        case Error = -1
        case Eca = 0                            // Eca

        init(){
            self = .Error
        }

        init?(_ code : Int32) {
            switch code {
            case 0:     self = .Eca
            default:    self = .Error
            }
        }
    }

    //ローカルPush用Identifier
    enum LocalPushIdentifier: String{
        case Reserve = "Reserve"                // 予約（初期設定）
        case EcaSwitching = "Eca"               // Eca
    }
}
